/*===== GOOGLE FONTS =====*/
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;600;700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Jost:wght@300;400;500;600&family=Open+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Jost:wght@300;400;500;600&family=Open+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500&family=Playfair+Display:ital,wght@0,400;0,500;1,400;1,500&family=Poppins:ital,wght@0,200;0,300;0,400;0,500;1,200;1,300&display=swap");

/*===== VARIABLES CSS =====*/
:root {
  --header-height: 3.5rem;
  --font-semi: 600;
  /*===== Colores =====*/
  /*Purple 260 - Red 355 - Blue 224 - Pink 340*/
  /* HSL color mode */
  --hue-color: 224;
  --first-color: hsl(0, 100%, 0%);
  --second-color: hsl(var(--hue-color), 56%, 12%);
  /*===== Fuente y tipografia =====*/
  --body-font: "Poppins", sans-serif;
  --big-font-size: 2rem;
  --h2-font-size: 1.25rem;
  --normal-font-size: 0.938rem;
  --smaller-font-size: 0.75rem;
  /*===== Margenes =====*/
  --mb-2: 1rem;
  --mb-4: 2rem;
  --mb-5: 2.5rem;
  --mb-6: 3rem;
  /*===== z index =====*/
  --z-back: -10;
  --z-fixed: 100;
}

@media screen and (min-width: 968px) {
  :root {
    --big-font-size: 3.5rem;
    --h2-font-size: 2rem;
    --normal-font-size: 1rem;
    --smaller-font-size: 0.875rem;
  }
}

/*===== BASE =====*/
*,
::before,
::after {
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body {
  margin: var(--header-height) 0 0 0;
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  color: var(--second-color);
}

h1,
h2,
p {
  margin: 0;
}

ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

a {
  text-decoration: none;
}

img {
  width: 100%;
  height: auto;
  display: block;
}

/*===== CLASS CSS ===== */
.section-title {
  position: relative;
  font-size: 1.7rem;
  font-weight: 400;
  color: var(--first-color);
  margin-top: var(--mb-2);
  margin-bottom: var(--mb-2);
  text-align: center;
  cursor: pointer;
}

.section {
  padding-top: 1rem;
  padding-bottom: 2rem;
}

/*===== LAYOUT =====*/
.bd-grid {
  max-width: 1024px;
  color: #000;
  margin-left: var(--mb-2);
  margin-right: var(--mb-2);
}

.l-header {
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  z-index: var(--z-fixed);
  background-color: #fff;
  box-shadow: 0 1px 4px rgba(146, 161, 176, 0.15);
}

/*===== NAV =====*/
.nav {
  height: var(--header-height);
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-weight: 500;
  font-size: 0.85rem;
  color: #000;
}

@media screen and (max-width: 822px) {
  .nav {
    height: 4.5rem;
  }

  .nav__menu {
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    margin-top: 3.5rem;
    top: -0.5rem;
    right: -100%;
    width: 70%;
    height: 91%;
    padding: 4rem;
    font-size: 2rem;
    color: #000;
    background-color: #fff;
    transition: 0.5s;
  }

  .nav__link {
    font-size: 1.6rem;
  }

  .nav__icons a {
    font-size: 2rem;
  }
}

.nav__item {
  font-size: 0.9rem;
  margin-bottom: var(--mb-4);
}

.nav__link {
  position: relative;
  color: #000;
}

.nav__link:hover {
  position: relative;
  cursor: pointer;
}

.nav__link:hover::after {
  position: absolute;
  content: "";
  width: 100%;
  height: 0.1rem;
  left: 0;
  top: 2rem;
  background-color: #000;
}

.nav__icons {
  margin-left: 2rem;
  font-size: 1rem;
}

.nav__icons a {
  margin-left: 0.2rem;
}

.nav__icons a:hover {
  margin-left: 0.2rem;
  cursor: pointer;
}

.nav__logo {
  color: var(--second-color);
  font-size: 1.35rem;
  font-weight: 300;
  cursor: pointer;
}

.nav__toggle {
  color: var(--second-color);
  font-size: 1.5rem;
  cursor: pointer;
}

/*Active menu*/
.active::after {
  position: absolute;
  content: "";
  width: 100%;
  height: 0.1rem;
  left: 0;
  top: 2rem;
  background-color: #0000;
  cursor: pointer;
}

/*=== Show menu ===*/
.show {
  right: 0;
}

/*===== HOME =====*/
.l-main {
  width: 100%;
  padding: 0;
  margin: 0;
}

.home {
  width: 100%;
  text-align: center;
  position: relative;
  row-gap: 1rem;
  padding: 4rem 0 5rem;
  margin-bottom: -15rem;
}

/* Slider */

:after,
:before,
* {
  box-sizing: border-box;
}

.container {
  /* border: 1px solid red; */
  width: 750px;
  padding-right: 15px;
  padding-left: 15px;
  margin-right: auto;
  margin-left: auto;
  padding-top: 10%;
}

body {
  margin: 0;
  font-family: "Rajdhani", sans-serif;
}

h2 {
  line-height: 1.2;
}

.hero-slider {
  width: 100%;
  height: 900px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  position: relative;
  z-index: 0;
  /* border: 1px solid orange; */
}
.slide-text {
  /* border: 1px solid blue; */
  width: 100%; /* Postavlja širinu na 100% kako bi iskoristila maksimalni prostor unutar kontejnera */
  box-sizing: border-box; /* Uzima u obzir padding i border prilikom računanja širine */
}

@media (max-width: 991px) {
  .hero-slider {
    height: 900px;
    padding-top: 0%;
  }
}

@media (max-width: 767px) {
  .hero-slider {
    height: 900px;
    padding-top: 40%;
  }
}

.hero-slider .swiper-slide {
  height: 100vh;
  overflow: hidden;
  color: #000;
  background-color: black;
}

.hero-slider .swiper-container {
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
  opacity: 2;
}

.hero-slider .slide-inner {
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
  z-index: 1;
  background-size: cover;
  background-position: center;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  filter: brightness(90%);
}

.hero-slider .swiper-button-prev,
.hero-slider .swiper-button-next {
  background: transparent;
  width: 55px;
  height: 55px;
  line-height: 53px;
  margin-top: -30px;
  text-align: center;
  border: 2px solid #d4d3d3;
  border-radius: 55px;
  opacity: 0;
  visibility: hidden;
  transition: all 0.3s ease;
}

.hero-slider:hover .swiper-button-prev,
.hero-slider:hover .swiper-button-next {
  transform: translateX(0);
  opacity: 1;
  visibility: visible;
}

/*--------------------------------------------------------------
	#hero-style
--------------------------------------------------------------*/
.hero-style {
  height: 720px;
  transition: all 0.4s ease;
}

@media (max-width: 991px) {
  .hero-style {
    height: 700px;
  }
}

@media (max-width: 767px) {
  .hero-style {
    height: 650px;
  }
}

@media screen and (min-width: 992px) {
  .hero-style .container {
    padding-top: 95px;
  }
}

.hero-style .slide-title,
.hero-style .slide-text,
.hero-style .slide-btns {
  max-width: 690px;
}

.hero-style .slide-title h2 {
  font-size: 4rem;
  font-weight: 600;
  line-height: 1.2;
  color: #ffffff;
  opacity: 0.8;
  margin: 0 0 40px;
  text-transform: capitalize;
  transition: all 0.4s ease;
}

@media (max-width: 1199px) {
  .hero-style .slide-title h2 {
    font-size: 4rem;
  }
}

@media (max-width: 991px) {
  .hero-style .slide-title h2 {
    font-size: 4rem;
    margin: 0 0 35px;
  }
}

@media (max-width: 767px) {
  .hero-style .slide-title h2 {
    opacity: 0.9;
    font-size: 3rem;
    margin: 0 0 30px;
    padding-top: 2rem;
  }
}

.hero-style .slide-text p {
  /* border: 1px solid red; */
  opacity: 0.9;
  font-family: Rajdhani;
  font-size: 1.6rem;
  font-weight: 500;
  line-height: 1.25;
  letter-spacing: normal;
  color: #ffffff;
  margin: 0 0 70px;
  transition: all 0.4s ease;
}

@media (max-width: 767px) {
  .hero-style .slide-text p {
    font-size: 16px;
    font-size: 1.2rem;
    font-weight: normal;
    margin: 0 0 110px;
  }
}

.hero-style .slide-btns > a:first-child {
  margin-right: 10px;
}

/*--------------------------------------------------------------
	#button-style
--------------------------------------------------------------*/
.theme-btn,
.theme-btn-s2 {
  background-color: #ffffff;
  opacity: 0.5;
  font-size: 1.3rem;
  font-weight: 500;
  line-height: 1.4;
  text-align: center;
  color: #4c4d52;
  padding: 9px 32px;
  border: 0;
  border-radius: 3px;
  text-transform: uppercase;
  display: inline-block;
  line-height: initial;
  transition: all 0.4s ease;
}

.slide-btns a {
  text-decoration: none;
  transition: all 0.2s ease;
}

.theme-btn-s2 {
  background-color: rgba(255, 255, 255, 0.9);
  color: #131e4a;
}

.theme-btn:hover,
.theme-btn-s2:hover,
.theme-btn:focus,
.theme-btn-s2:focus,
.theme-btn:active,
.theme-btn-s2:active {
  background-color: #3d4156;
  color: #fff;
}

.theme-btn-s3 {
  font-size: 16px;
  font-weight: 500;
  line-height: 1.5;
  color: #ffffff;
  opacity: 0.6;
  text-transform: uppercase;
}

i.fa-chevron-circle-right {
  height: 22px;
  width: 22px;
}

.slide-btns a:hover {
  text-decoration: none;
}

@media (max-width: 991px) {
  .theme-btn,
  .theme-btn-s2,
  .theme-btn-s3 {
    font-size: 13px;
    padding: 15px 25px;
  }
}

@media (max-width: 767px) {
  .theme-btn,
  .theme-btn-s2 {
    padding: 13px 20px;
    font-size: 13px;
  }
}

/* RESET */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

a {
  text-decoration: none;
  color: inherit;
}

/* BASE STYLES */
html {
  --default-opacity: 0;
  --hover-opacity: 0;
  overflow-x: hidden;
}

body {
  background-color: #fff;
  font-family: myFont;
  color: #fff;
  position: relative;
  overflow-x: hidden;

  scrollbar-width: none;
}

body::-webkit-scrollbar {
  display: none;
}

.color {
  height: 100%;
  width: 1024px;
  /* background-image: radial-gradient(closest-side, rgba(255, 230, 0, 0.21), #000); */
  position: relative;
  top: -570px;
  left: 15%;
}

/* HEADER */
.header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 42px 62px;
  position: fixed;
  width: 100%;
}

.main {
  max-width: 1024px;
  min-height: 100%;
  margin: 0 auto;
  text-align: center;
  margin-top: 10px;
  margin-bottom: 90px;
  padding: 0 25px;
}

/* INTRO */
.intro {
  padding-top: 125px;
  animation: fade-up 0.5s;
}

.first-heading {
  font-size: 48px;
  font-weight: 600;
  opacity: 0.94;
  display: flex;
  justify-content: center;
  align-items: center;
}

.emoji {
  font-size: 35px;
  margin-top: -8px;
  margin-left: 3px;
}

.text {
  font-size: 40px;
  opacity: 0.9;
  font-weight: 300;
  margin-top: 11px;
  line-height: 1.1;
}

.text--second {
  display: block;
}

/* TOP */
.top {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 35px;
}

.second-heading {
  font-size: 16px;
  font-weight: 500;
  text-transform: capitalize;
}

/* LINKS */
.links {
  position: fixed;
  right: 62px;
  top: 50%;
  transform: translateY(-50%);
  animation: fade-left 0.5s 0.8s backwards;
}

.link-item {
  transition: all 0.3s;
}

.link-item:not(:last-child) {
  margin-bottom: 20px;
}

.link-item:hover {
  transform: scale(1.15);
}

.link-img {
  width: 20px;
  height: 20px;
}

/* MEDIA QUERIES */
@media (max-width: 1215px) {
  .header {
    padding: 25px;
    position: absolute;
  }

  .links {
    position: absolute;
    transform: initial;
    right: initial;
    top: 32px;
    left: 82px;
    display: flex;
    animation-name: fade-down;
  }

  .link-item:not(:last-child) {
    margin-right: 15px;
  }
}

@media (max-width: 1000px) {
  .project-info {
    opacity: 1;
    position: absolute;
    bottom: 0;
    z-index: 100;
    text-align: left;
    padding: 24px;
    transform: translateY(10px);
    transition: all 0.4s;
  }

  .project:hover .project-info {
    opacity: 0;
    transform: translate(0);
  }

  .intro {
    padding-top: 100px;
  }

  .work {
    margin-top: 35px;
  }

  .main {
    margin-bottom: 35px;
  }
}

@media (max-width: 620px) {
  .color {
    left: -15%;
  }

  .header {
    padding: 15px;
  }

  .links {
    top: 22px;
    left: 70px;
  }

  .first-heading {
    font-size: 42px;
  }

  .text {
    font-size: 30px;
  }

  .main {
    padding: 0 15px;
  }

  .about__container {
    margin-top: -6rem;
  }
}

@media (max-width: 520px) {
  html {
    --default-opacity: 0;
    --hover-opacity: 0;
  }

  .text--second {
    display: inline;
  }

  .top {
    margin-bottom: 20px;
  }
  .section-title {
    margin-bottom: 2.5rem;
  }
  .container {
    margin-top: 2rem;
  }
}
@media (max-width: 470px) {
  .container {
    margin-top: 2.5rem;
  }
  .hero-slider .slide-title {
    font-size: 1.2rem;
  }
  .slide-text {
    font-size: 1rem;
  }
}
@media (max-width: 400px) {
  .container {
    padding-top: 1rem;
  }
  .slide-title h2 {
    font-size: 1.2rem;
  }
  .slide-text p {
    font-size: 1rem;
  }
}

@media (max-width: 384px) {
  .container {
    padding-top: 0rem;
    padding-bottom: 1rem;
  }
  .slide-title h2 {
    font-size: 1rem;
  }
  .slide-text p {
    font-size: 1rem;
  }
}
@media (max-width: 354px) {
  .container {
    margin-bottom: 1rem;
  }
  .slide-title h2 {
    font-size: 1rem;
  }
  .slide-text p {
    font-size: 1rem;
  }
}

/* ===== CONTACT =====*/
.contact__section {
  padding-top: 0;
  padding-bottom: 4rem;
}

.contact__section .section-title {
  cursor: context-menu;
}

.contact__container {
  display: grid;
  grid-gap: 50px;
  grid-template-columns: repeat(auto-fit, 400px);
  color: #444;
  margin-top: 0px;
  justify-content: center;
}

.bd-grid {
  background-color: white;
  color: #000;
  border-radius: 5px;
  font-size: 150%;
}

.contact__address p {
  margin-top: 1.5rem;
  padding: 0.5rem;
  font-size: 1.2rem;
}

.contact__address p a:hover {
  cursor: pointer;
}

.contact__address p a:hover {
  cursor: pointer;
}

.contact__input {
  width: 100%;
  font-size: var(--normal-font-size);
  font-weight: var(--font-semi);
  padding: 1rem;
  border-radius: 0.5rem;
  border: 1.5px solid var(--second-color);
  outline: none;
  margin-bottom: var(--mb-4);
}

.contact__button {
  display: block;
  border: none;
  outline: none;
  font-size: var(--normal-font-size);
  cursor: pointer;
  margin-left: auto;
}

/* ===== FOOTER =====*/
.footer {
  background-color: #060d41;
  color: #fff;
  text-align: center;
  font-weight: var(--font-semi);
  padding: 2rem 0;
}

.footer__title {
  font-size: 1.9rem;
  font-weight: 200;
  margin-bottom: var(--mb-4);
}

.footer__social {
  margin-bottom: var(--mb-4);
}

.footer__icon {
  font-size: 1.5rem;
  font-weight: 300;
  color: #fff;
  margin: 0 var(--mb-2);
  cursor: pointer;
}

.footer__copy {
  font-size: var(--smaller-font-size);
  font-weight: 300;
}

/* ===== MEDIA QUERIES=====*/
@media screen and (max-width: 320px) {
  .nav__icons {
    margin-left: -0.1rem;
  }

  .home {
    row-gap: 2rem;
  }

  .home__img {
    width: 200px;
  }

  .item img {
    min-width: 180px;
    height: 80px;
    padding: 0 30px;
  }
}

@media screen and (max-width: 400px) {
  .nav__icons {
    margin-left: -0.1rem;
  }

  .section-title {
    margin-bottom: 3rem;
  }
  .contact__form {
    margin-top: 1rem;
    margin-right: 2rem;
    margin-left: 2rem;
    font-size: 1.2rem;
  }

  .contact__address {
    padding-right: 2rem;
  }

  #gmap_canvas {
    margin-right: 2rem;
  }

  .contact__section {
    margin-bottom: -4rem;
  }
}
@media screen and (min-width: 400px) {
  .nav__icons {
    margin-left: -0.1rem;
  }
}

@media screen and (min-width: 576px) {
  .nav__icons {
    margin-left: -0.1rem;
  }
  .home {
    padding: 4rem 0 2rem;
  }

  .home__social {
    padding-top: 0;
    padding-bottom: 2.5rem;
    flex-direction: row;
    align-self: flex-end;
  }

  .home__social-icon {
    margin-bottom: 0;
    margin-right: var(--mb-4);
  }

  .home__img {
    width: 300px;
    bottom: 25%;
  }

  .about__container {
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    text-align: initial;
    margin-top: -5rem;
  }

  .section-title {
    margin-bottom: 3rem;
  }

  .solutions__container {
    grid-template-columns: 0.7fr;
    justify-content: center;
    column-gap: 1rem;
  }

  .item img {
    min-width: 220px;
    height: 120px;
    padding: 0 30px;
  }

  .work__container {
    grid-template-columns: repeat(2, 1fr);
    column-gap: 2rem;
    padding-top: 2rem;
  }

  .contact__form {
    width: 360px;
    padding-top: 0rem;
  }

  .contact__container {
    justify-items: center;
  }
}

@media screen and (min-width: 822px) {
  body {
    margin: 0;
  }

  .section {
    padding-top: 0rem;
    padding-bottom: 3rem;
  }

  .section-title {
    margin-bottom: var(--mb-6);
  }

  .section-title::after {
    width: 80px;
    top: 3rem;
  }

  .nav {
    height: calc(var(--header-height) + 1.5rem);
  }

  .nav__list {
    display: flex;
    padding-top: 0;
  }

  .nav__item {
    margin-left: var(--mb-6);
    margin-bottom: 0;
  }

  .nav__toggle {
    display: none;
  }

  .nav__link {
    color: var(--second-color);
  }

  .nav__icons {
    margin-left: 2.7rem;
  }

  .nav__icons .bx-phone {
    display: none;
  }

  .home {
    padding: 2rem 0 2rem;
  }

  .home__img {
    width: 400px;
    bottom: 10%;
  }

  .skills__container {
    grid-template-columns: repeat(2, 1fr);
    column-gap: 2rem;
    align-items: center;
    text-align: initial;
  }

  .work__container {
    grid-template-columns: repeat(3, 1fr);
    column-gap: 2rem;
  }
}

@media screen and (min-width: 992px) {
  .bd-grid {
    margin-left: auto;
    margin-right: auto;
  }

  .home {
    padding: 10rem 0 2rem;
  }

  .home__img {
    width: 450px;
  }
}

/* ===== ABOUT ===== */
.about {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.about__container {
  row-gap: 2rem;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.section-title {
  font-family: Poppins;
  font-weight: 200;
  text-align: center; /* Dodano da postavi tekst na lijevu stranu */
}

.about__text {
  font-family: Poppins;
  font-size: 0.95rem;
  font-weight: 400;
  line-height: 1.6rem;
  letter-spacing: 1.5px;
  color: #000000b3;
  text-align: left; /* Dodano da postavi tekst na lijevu stranu */
}

/* Media query za manje ekrane */
@media screen and (max-width: 768px) {
  .section-title {
    text-align: center; /* Resetira tekst na centar za manje ekrane */
  }

  .about__text {
    text-align: center; /* Resetira tekst na centar za manje ekrane */
  }
}

/* ===== OUR SERVICES ===== */
.services {
  margin-top: 5rem;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.services__container {
  row-gap: 2rem;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.section-title-services {
  font-family: Poppins;
  font-weight: 200;
  text-align: left;
}

.services__text {
  font-family: Poppins;
  font-size: 0.9rem;
  font-weight: 400;
  line-height: 1.2rem;
  letter-spacing: 1px;
  color: #000;
  text-align: left;
}

/* Media query za manje ekrane */
@media screen and (max-width: 576px) {
  .services__container {
    text-align: center;
  }

  .section-title-services {
    text-align: center;
  }

  .services__text {
    text-align: center;
  }
}

/* Style for the image  */
.content img {
  align-self: flex-start;
  flex-basis: 1 0 45%; /* Adjust the width of the image */
}

/* Style for the text */
.content p {
  flex: 1 0 45%; /* Adjust the width of the text */
  text-align: justify;
  margin: 0;
}

.container1,
.section-title {
  text-align: center;
  color: #333;
  margin-top: 3rem;
}

.content {
  display: flex;
  flex-direction: column;
  padding-right: 7rem;
  padding-left: 7rem;
  gap: 2rem;
}
@media screen and (min-width: 1250px) {
  .content {
    display: flex;
    flex-direction: row-reverse;
    padding-right: 14rem;
    padding-left: 14rem;
  }
}
@media screen and (min-width: 1150px) {
  .content {
    padding-right: 13rem;
    padding-left: 13rem;
  }
}
@media screen and (min-width: 1050px) {
  .content {
    padding-right: 12rem;
    padding-left: 12rem;
  }
}
@media screen and (min-width: 950px) {
  .content {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding-right: 10rem;
    padding-left: 10rem;
  }
  .content p {
    text-align: justify;
    align-self: flex-start;
    margin: 0;
  }
  .content img {
    max-width: 50%;
    max-height: 80%;
  }
}
@media screen and (max-width: 950px) {
  .content {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    padding-right: 1rem;
    padding-left: 1rem;
  }
  .content p {
    text-align: justify;
  }
  .content img {
    max-width: 100%;
    max-height: 50%;
  }
}
.nav__logo img {
  width: 9rem;
  height: 4.5rem;
}
@media screen and (max-width: 822px) {
  .nav__logo img {
    width: 6rem;
    height: 3rem;
  }
}
.contact__address {
  line-height: 1.5px;
  margin-bottom: 1rem;
}
@media screen and (max-width: 400px) {
  .contact__address {
    padding-left: 1.4rem;
    line-height: 1.3px;
  }
}
